org.bouncycastle.asn1.crmf

## Class PKIPublicationInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.crmf.PKIPublicationInfo

All Implemented Interfaces:
  DEREncodable

    public class PKIPublicationInfo
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`DERInteger` `getAction()`
`static PKIPublicationInfo` `getInstance(java.lang.Object o)`
`SinglePubInfo[]` `getPubInfos()`
`DERObject` `toASN1Object()` PKIPublicationInfo ::= SEQUENCE { action INTEGER { dontPublish (0), pleasePublish (1) }, pubInfos SEQUENCE SIZE (1..MAX) OF SinglePubInfo OPTIONAL } -- pubInfos MUST NOT be present if action is "dontPublish" -- (if action is "pleasePublish" and pubInfos is omitted, -- "dontCare" is assumed)

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static PKIPublicationInfo getInstance(java.lang.Object o)

#### getAction

    public DERInteger getAction()

#### getPubInfos

    public SinglePubInfo[] getPubInfos()

#### toASN1Object

    public DERObject toASN1Object()

     PKIPublicationInfo ::= SEQUENCE {
                      action     INTEGER {
                                     dontPublish (0),
                                     pleasePublish (1) },
                      pubInfos  SEQUENCE SIZE (1..MAX) OF SinglePubInfo OPTIONAL }
     -- pubInfos MUST NOT be present if action is "dontPublish"
     -- (if action is "pleasePublish" and pubInfos is omitted,
     -- "dontCare" is assumed)

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.